import { IInitData } from "./utils/types";
export default class LivePreview {
    /**
     * @hideconstructor
     */
    private config;
    private tooltip;
    private currentElementBesideTooltip;
    private tooltipChild;
    private tooltipCurrentChild;
    constructor(initData?: Partial<IInitData>);
    private addEditStyleOnHover;
    private generateRedirectUrl;
    private scrollHandler;
    private linkClickHandler;
    private handleUserChange;
    setOnChangeCallback(onChangeCallback: () => void): void;
    /**
     * It is the live preview hash.
     * This hash could be used when data is fetched manually.
     */
    get hash(): string;
    /**
     * Sets the live preview hash from the query param which is
     * accessible via `hash` property.
     * @param params query param in an object form
     */
    setConfigFromParams(params?: ConstructorParameters<typeof URLSearchParams>[0]): void;
    private resolveIncomingMessage;
    private createCslpTooltip;
    private requestDataSync;
    private updateTooltipPosition;
    private removeDataCslp;
}
//# sourceMappingURL=live-preview.d.ts.map